Skip to main content

i18n

Endpoint Overview​

  • Endpoint Name: Sitemap
  • Purpose: Retrieves the vocabulary by code
  • Method: GET
  • URL: /api/vocabularies/{vocabularyCode}/i18n

Authentication​

  • No authentication required.

Request​

Headers​

Header NameRequiredDescription
acceptNoapplication/json

Path Parameters​

ParameterTypeDescription
vocabularyCodestringThe code of the vocabulary to get

Query Parameters​

None

Response​

Response Codes​

HTTP Status CodeMeaning
200Successful request
404Not Found (resource does not exist)
500Internal Server Error

Response Body​

▼ "root": {
"code": "my-voc"
"name": "my-voc"
"mainLanguage": "it-it"
▼ "languages": [
"0": "de-de"
"1": "en-gb"
"2": "fr-fr"
"3": "it-it"
]
▼ "resources": {
▼ "de-de": {
▼ "translation": {
▼ "new-unshared-term": {
"standard": "translation de"
"short": ""
}
▼ "news-centre-menu-visual-stories": {
"standard": "Visuelle Artikel"
"short": ""
}
▼ "video": {
"standard": "video"
"short": ""
}
▼ "welcome": {
"standard": "Welcome de"
"short": ""
}
▼ "years": {
"standard": "uears"
"short": ""
}
}
}
▼ "en-gb": {
▼ "translation": {
▼ "new-unshared-term": {
"standard": "translation en-gb"
"short": ""
}
▼ "news-centre-menu-visual-stories": {
"standard": "Visual Stories"
"short": "VS"
}
▼ "newterm": {
"standard": "newterm en-gb"
"short": ""
}
▼ "video": {
"standard": "video"
"short": ""
}
▼ "welcome": {
"standard": "Welcome"
"short": ""
}
▼ "years": {
"standard": "Years"
"short": ""
}
}
}
▼ "fr-fr": {
▼ "translation": {
▼ "new-unshared-term": {
"standard": "translation fr"
"short": ""
}
▼ "news-centre-menu-visual-stories": {
"standard": "Visual Stories"
"short": ""
}
▼ "newterm": {
"standard": "newterm fr-fr"
"short": ""
}
▼ "video": {
"standard": "video"
"short": ""
}
▼ "welcome": {
"standard": "bienvenues fr"
"short": ""
}
▼ "years": {
"standard": "années fr"
"short": ""
}
}
}
▼ "it-it": {
▼ "translation": {
▼ "new-unshared-term": {
"standard": "it"
"short": ""
}
▼ "news-centre-menu-visual-stories": {
"standard": "test"
"short": null
}
▼ "newterm": {
"standard": "newterm it"
"short": ""
}
▼ "video": {
"standard": "video"
"short": ""
}
▼ "welcome": {
"standard": "Benvenuto"
"short": ""
}
▼ "years": {
"standard": "Anniiii"
"short": ""
}
}
}
}
}

Common Errors and Troubleshooting​

Nothing known.

None